import React from 'react';
import './EditorToolbar.css';
import { EditorView } from '@codemirror/basic-setup';
interface EditorToolbarProps {
    view?: EditorView;
    fullscreen: boolean;
    showFullscreen: React.Dispatch<React.SetStateAction<boolean>>;
    preview: boolean;
    showPreview: React.Dispatch<React.SetStateAction<boolean>>;
    acceptTypes: string;
    uploadFunction?: (file: File, success: (url: string) => void) => void;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<EditorToolbarProps & React.RefAttributes<HTMLDivElement>>>;
export default _default;
