import { EditorView as CMEditorView } from '@codemirror/basic-setup';
import React from 'react';
interface EditorViewProps {
    initialDoc: string;
    editorHeight: number;
    view?: CMEditorView;
    setEditorView: React.Dispatch<React.SetStateAction<CMEditorView | undefined>>;
    currentActive: 'editor' | 'preview';
    setCurrentActive: React.Dispatch<React.SetStateAction<'editor' | 'preview'>>;
    scrollPosition: number;
    setScrollPosition: React.Dispatch<React.SetStateAction<number>>;
    preview: boolean;
    fullscreen: boolean;
    acceptTypes: string;
    uploadFunction?: (file: File, success: (url: string) => void) => void;
    onChange: (doc: string) => void;
    onSave: (doc: string) => void;
}
declare const _default: React.NamedExoticComponent<EditorViewProps>;
export default _default;
